Get user profile
Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.
The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the specified account.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.
Response
These properties cannot be modified in the PUT.
Indicates the authentication methods used by the user.
When set to true, the user’s company and title information are shown on the ID card.
When set to true, the user’s Address and Phone number are shown on the ID card.
When set to true, the user’s ID card can be viewed from signed documents and envelope history.
When set to true, the user’s usage information is shown on the ID card.
A complex element consisting of:
- lastSentDateTime - the date and time the user last sent an envelope.
- lastSignedDateTime - the date and time the user last signed an envelope.
- sentCount - the number of envelopes the user has sent.
- signedCount - the number of envelopes the user has signed.
The date-time when the user’s profile was last modified.